<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~sequencing_ended.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Register sequencing ended" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">

	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select sequencing run</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr>
				<td class="prompt">Sequencing run</td>
				<td class="input">
					<select class="required" name="seqRuns" id="seqRuns"></select>
				</td>
				<td class="status" id="seqRuns.status"></td>
				<td class="help">
					<span id="seqRuns.message" class="message"></span>
					Select the sequencing run that has ended.
				</td>
			</tr>
			<tbody class="info-section">
			<tr>
				<td class="prompt">Start date</td>
				<td class="info" id="startDate"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Flow cell type</td>
				<td class="info" id="flowCellType"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Flow cell</td>
				<td class="info" id="flowCellsInRun"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Pools</td>
				<td class="info" id="pools"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">LibPlate</td>
				<td class="info" id="libPlate"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Comments</td>
				<td class="info" id="comments"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			</tbody>
			</table>
		</div>
	</div>
	
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title" id="step-2-title">SequencingRun</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr>
				<td class="prompt">First base report</td>
				<td class="input">
					<label><input type="radio" name="firstBaseReport" id="firstBaseReportOk" value="1" checked
						>Ok</label>
					<label><input type="radio" name="firstBaseReport" id="firstBaseReportFailed" value="0"
						>Not ok</label>
				</td>
				<td class="status" id="firstBaseReport.status"></td>
				<td class="help">
					<span id="firstBaseReport.message" class="message"></span>
					If <b>first base report</b> failed and a restart was possible a new <b>sequencing start</b>
					must be registered.
				</td>
			</tr>
			<tr>
				<td class="prompt">Turn-around date</td>
				<td class="input">
					<input type="text" name="turnAroundDate" id="turnAroundDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="turnAroundTime"
						style="width: 12em;" maxlength="10">
					Time <input type="text" name="turnAroundTime" id="turnAroundTime"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="endDate"
						style="width: 6em;" maxlength="5">
				</td>
				<td class="status" id="turnAroundDate.status"></td>
				<td class="help">
					<span id="turnAroundDate.message" class="message"></span>
					Date+time of turnaround (YYYYMMDD, HHMM). 
					Leave empty if sequencing ended before turn-around (eg. due to first base report not ok).
				</td>
			</tr>
			<tr>
				<td class="prompt">End date</td>
				<td class="input">
					<input type="text" name="endDate" id="endDate"
						class="auto-init required" data-auto-init="focus-on-enter" data-next-focus="endTime"
						style="width: 12em;" maxlength="10">
					Time <input type="text" class="required" name="endTime" id="endTime"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="sequencingComments"
						style="width: 6em;" maxlength="5">
				</td>
				<td class="status" id="endDate.status"></td>
				<td class="help">
					<span id="endDate.message" class="message"></span>
					Date+time sequencing ended (YYYYMMDD, HHMM)
				</td>
			</tr>
			
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="input">
					<textarea name="sequencingComments" id="sequencingComments" rows="6"></textarea></td>
				<td class="status" id="sequencingComments.status"></td>
				<td class="help">
					<span id="sequencingComments.message" class="message"></span>
					Comments about the sequencing.
				</td>
			</tr>
			</table>
		</div>
	</div>
		
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>